Description

bin/bundle exec rake db:migrate RAILS_ENV=production dies with

rake aborted!

uninitialized constant ActiveRecord::Observer

/opt/redmine-3.0.0/plugins/redmine_scm/app/models/repository_observer.rb:1:in `<top (required)>'

/opt/redmine-3.0.0/plugins/redmine_scm/init.rb:19:in `<top (required)>'

/opt/redmine-3.0.0/lib/redmine/plugin.rb:155:in `block in load'

/opt/redmine-3.0.0/lib/redmine/plugin.rb:146:in `each'

/opt/redmine-3.0.0/lib/redmine/plugin.rb:146:in `load'

/opt/redmine-3.0.0/config/initializers/30-redmine.rb:21:in `<top (required)>'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/engine.rb:652:in `block in load_config_initializ

er'

/var/lib/gems/1.9.1/gems/activesupport-4.2.0/lib/active_support/notifications.rb:166:in `instrumen

t'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/engine.rb:651:in `load_config_initializer'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/engine.rb:616:in `block (2 levels) in <class:Eng

ine>'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/engine.rb:615:in `each'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/engine.rb:615:in `block in <class:Engine>'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/initializable.rb:30:in `instance_exec'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/initializable.rb:30:in `run'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/initializable.rb:55:in `block in run_initializer

s'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/initializable.rb:44:in `each'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/initializable.rb:44:in `tsort_each_child'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/initializable.rb:54:in `run_initializers'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/application.rb:352:in `initialize!'

/opt/redmine-3.0.0/config/environment.rb:14:in `<top (required)>'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/application.rb:328:in `require_environment!'

/var/lib/gems/1.9.1/gems/railties-4.2.0/lib/rails/application.rb:443:in `block in run_tasks_blocks

'

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

Associated revisions

Revision 141 - 14 Dec 2014 22:09 - Andriy Lesyuk

Fixes for Redmine 3.x: regexp fix and observer removal

History

#1 - 13 Mar 2015 13:09 - Adrian Antonana

Same problem here with ruby2.2.0 installed with rvm and redmine3.0.0

#2 - 21 Apr 2015 15:29 - Lukas Pirl

Is there any plan when to make the SCM-Creator plugin compatible with Redmine 3? Thanks!
#3 - 02 Jun 2015 09:37 - Damien R

I also tried to install the plugin on Redmine 3 with no success. Errors given by the installer are obscure to me. Is-it planned to adapt the plugin to

futures versions of Redmine ?

#4 - 09 Jun 2015 10:30 - Lukas Pirl

Can you please post those errors if they are different from those in the issue’s description?

#5 - 18 Jun 2015 18:53 - Lukas Pirl

It is caused by a missing gem.

Please add a Gemfile requiring rails-observers.

For those who have the issues described above, create the file Gemfile in the plugin’s root directory, add the line gem 'rails-observers' and continue

the upgrade procedure from bundle install … on.

#6 - 26 Aug 2016 15:05 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.5.1

#7 - 19 Dec 2016 18:20 - Andriy Lesyuk

- Subject changed from redmine 3 compatibility to Redmine 3 compatibility

- Status changed from Open to Closed

- % Done changed from 0 to 100

The observer was removed in r141, as observers are no longer supported by Rails 4 (and Redmine 3).
